Excellent Rated 5 out of 5 stars

Needs a FF6 version!

This review is for a previous version of the add-on (0.9.1.0).